2019-12-07 09:17 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001538FSSCPFREDpublic2010-05-19 08:25
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.11 
Summary0001538: Special hits feature variables not bug checked at save.
DescriptionIf the variables for special hits are not in the .fs2 file FRED will still show the correct info in the ships editor. FS2 shows disabled ships with 0% hull. Looks like something that just needs error checking on mission save.
Additional InformationVariables for the special hits were removed during routine cleanup of unused variables. Manually adding them back in fixed the problem.
TagsNo tags attached.
Attached Files
  • ? file icon 1538.fs2 (4,983 bytes) 2009-01-28 19:27

-Relationships
+Relationships

-Notes

~0008842

FUBAR-BDHR (developer)

Additional info here: http://www.hard-light.net/forums/index.php/topic,51985.0.html

~0010578

Goober5000 (administrator)

Can you try rewording this? I'm not sure what you mean.

~0010579

FUBAR-BDHR (developer)

Last edited: 2009-01-20 00:50

I've actually seen this happen in several different ways so I really don't know how to rephrase it but to say there needs to be some kind of check on mission save to make sure they are there and valid.

What happens is after save the ships still have reference to say block variables 92 and 93 but they don't exist any longer. When you try to play the mission the ship is disabled with 0 hits but not dead.


Just a though here but could these also be linked to name instead of object like the texture replacement?

~0010618

FUBAR-BDHR (developer)

Last edited: 2009-01-28 00:19

Just had this happen but it was in 3.6.9 FRED. I'll try to reproduce it in 3.6.10

I set special hits on the wrong ship then on the right one. So now both had special hits. Removed the flag from the wrong one. In FRED it shows up as the correct ship having special hits. Try to run the game and all subsystems disabled, 0 hull. Opened the mission up in notepad and low and behold the special hits variable is named correctly and numbered correctly in the variables section but in the ship entry it is pointing to non-existent variable 84 instead of the correct one 86. So it looks like this is what happened:

Wrong ship given special hits assigned variables 86/87
Right ship given special hits assigned variables 84/85
Wrong ship special hits removed. Variables 86/87 updated with Right ship name.
Right ship not updated with new 86/87 variables so still pointing to 84/85
FRED confused probably from something in memory.

I even tried doing a file->new and then reopening the mission. Still shows Right ship with correct special hits. Of course I know what will happen if I exit FRED and go back in. Special hits flag on and 0,0.

Interesting. I just fixed it notepad and tried the file-new/open mission back up to see what would happen and everything is showing alright. Never did exit FRED. Definitely going to now.

~0010622

FUBAR-BDHR (developer)

Confirmed in FRED r5052. Attaching mission with the problem. Steps to reproduce:

Place 2 ships in FRED
Turn on special hits for first ship
Turn on special hits for second ship
Turn off special hits for first ship
Save mission.

~0010623

Goober5000 (administrator)

Ok. I'll check that out ASAP.

~0010843

karajorma (administrator)

Fixed in my branch

~0011978

Goober5000 (administrator)

Is it fixed in trunk too?

~0011989

karajorma (administrator)

Given that special hits no longer uses variables, I'd say it's completely irrelevant whether the fix made it into trunk or not as far as 3.6.13 builds are concerned.

Again, I doubt I would have resolved it unless I had added it to trunk.
+Notes

-Issue History
Date Modified Username Field Change
2007-12-11 03:01 FUBAR-BDHR New Issue
2007-12-14 03:30 Goober5000 Status new => assigned
2007-12-14 03:30 Goober5000 Assigned To => Goober5000
2008-02-03 05:47 FUBAR-BDHR Note Added: 0008842
2009-01-20 00:40 Goober5000 Note Added: 0010578
2009-01-20 00:49 FUBAR-BDHR Note Added: 0010579
2009-01-20 00:50 FUBAR-BDHR Note Edited: 0010579
2009-01-28 00:15 FUBAR-BDHR Note Added: 0010618
2009-01-28 00:19 FUBAR-BDHR Note Edited: 0010618
2009-01-28 19:26 FUBAR-BDHR Note Added: 0010622
2009-01-28 19:27 FUBAR-BDHR File Added: 1538.fs2
2009-01-28 20:39 Goober5000 Note Added: 0010623
2009-04-24 17:12 karajorma Assigned To Goober5000 => karajorma
2009-04-24 17:14 karajorma Note Added: 0010843
2009-05-12 18:04 karajorma Status assigned => resolved
2009-05-12 18:04 karajorma Fixed in Version => 3.6.11
2009-05-12 18:04 karajorma Resolution open => fixed
2010-05-19 01:09 Goober5000 Note Added: 0011978
2010-05-19 08:25 karajorma Note Added: 0011989
+Issue History